RT attachment Corruption

Hi,

I have the problem that RT corrupts all attachments. I had a look
around the RT-list archive but haven’t found a proper solution. Has
anyone had this problem and solved. If you could help that would be
great.

Thanks in advance,
Kevin

Kevin Moran wrote:

Hi,

I have the problem that RT corrupts all attachments. I had a look
around the RT-list archive but haven’t found a proper solution. Has
anyone had this problem and solved. If you could help that would be
great.

http://wiki.bestpractical.com/cgi-bin/index.cgi?FAQ

Q: My attachments are corrupted?

A: In most cases it’s perl/UTF bug. Update minimum to perl5.8.3 or
greater and rt3.0.8 or greater. Also don’t forget to look in archives
for more info.

John
JANET-CERT

I actually have the same problem and posted a message to the list. I
upgraded to Perl v. 5.8.3 and RT 3.0.9. I also checked my mysql config
(my.cnf) and increased the MaxAttachmentSize option. None of these have
worked and attachments still get corrupted when being passed through RT.
So if anyone has any other suggestions, I would love to hear them.From: rt-users-bounces@lists.bestpractical.com
[mailto:rt-users-bounces@lists.bestpractical.com] On Behalf Of John
Green
Sent: Tuesday, April 06, 2004 9:11 AM
To: Kevin Moran
Cc: rt-users@lists.bestpractical.com
Subject: Re: [rt-users] RT attachment Corruption

Kevin Moran wrote:

Hi,

I have the problem that RT corrupts all attachments. I had a look
around the RT-list archive but haven’t found a proper solution. Has
anyone had this problem and solved. If you could help that would be
great.

http://wiki.bestpractical.com/cgi-bin/index.cgi?FAQ

Q: My attachments are corrupted?

A: In most cases it’s perl/UTF bug. Update minimum to perl5.8.3 or
greater and rt3.0.8 or greater. Also don’t forget to look in archives
for more info.

John
JANET-CERT

http://lists.bestpractical.com/mailman/listinfo/rt-users

RT Training is coming to town this summer!
Sign up for an RT Developer/Administrator class in DC, LA or Frankfurt
by emailing training@bestpractical.com

For more details, check out
http://www.bestpractical.com/services/training.html

The RT Wiki lives at http://wiki.bestpractical.com Read! Join!
Contribute!

I upgraded from Perl 5.8.0 to Perl 5.8.3 and it sorted the problem.From: Curt Driscoll [mailto:cdriscoll@cfutilities.com]
Sent: 06 April 2004 15:46
To: John Green; Kevin Moran
Cc: rt-users@lists.bestpractical.com
Subject: RE: [rt-users] RT attachment Corruption

I actually have the same problem and posted a message to the list. I
upgraded to Perl v. 5.8.3 and RT 3.0.9. I also checked my mysql config
(my.cnf) and increased the MaxAttachmentSize option. None of these have
worked and attachments still get corrupted when being passed through RT.
So if anyone has any other suggestions, I would love to hear them.

From: rt-users-bounces@lists.bestpractical.com
[mailto:rt-users-bounces@lists.bestpractical.com] On Behalf Of John
Green
Sent: Tuesday, April 06, 2004 9:11 AM
To: Kevin Moran
Cc: rt-users@lists.bestpractical.com
Subject: Re: [rt-users] RT attachment Corruption

Kevin Moran wrote:

Hi,

I have the problem that RT corrupts all attachments. I had a look
around the RT-list archive but haven’t found a proper solution. Has
anyone had this problem and solved. If you could help that would be
great.

http://wiki.bestpractical.com/cgi-bin/index.cgi?FAQ

Q: My attachments are corrupted?

A: In most cases it’s perl/UTF bug. Update minimum to perl5.8.3 or
greater and rt3.0.8 or greater. Also don’t forget to look in archives
for more info.

John
JANET-CERT

http://lists.bestpractical.com/mailman/listinfo/rt-users

RT Training is coming to town this summer!
Sign up for an RT Developer/Administrator class in DC, LA or Frankfurt
by emailing training@bestpractical.com

For more details, check out
http://www.bestpractical.com/services/training.html

The RT Wiki lives at http://wiki.bestpractical.com Read! Join!
Contribute!

Curt Driscoll wrote:

I actually have the same problem and posted a message to the list. I
upgraded to Perl v. 5.8.3 and RT 3.0.9. I also checked my mysql config
(my.cnf) and increased the MaxAttachmentSize option. None of these have
worked and attachments still get corrupted when being passed through RT.
So if anyone has any other suggestions, I would love to hear them.
mod_perl?
Did you rebuild it?

Turn on Apache::Status module and look against which perl mod_perl is
linked.
Best regards. Ruslan.

Upgrading to perl 5.8.3 means that I have to recompile mod_perl? I did it on
one machine and apache won’t start again unless I comment all the section
involving RTFrom: Kevin Moran [mailto:kmoran@servecentric.com]
Sent: Martes, 06 de Abril de 2004 01:37 p.m.
To: Curt Driscoll; John Green
Cc: rt-users@lists.bestpractical.com
Subject: RE: [rt-users] RT attachment Corruption

I upgraded from Perl 5.8.0 to Perl 5.8.3 and it sorted the problem.

From: Curt Driscoll [mailto:cdriscoll@cfutilities.com]
Sent: 06 April 2004 15:46
To: John Green; Kevin Moran
Cc: rt-users@lists.bestpractical.com
Subject: RE: [rt-users] RT attachment Corruption

I actually have the same problem and posted a message to the list. I
upgraded to Perl v. 5.8.3 and RT 3.0.9. I also checked my mysql config
(my.cnf) and increased the MaxAttachmentSize option. None of these have
worked and attachments still get corrupted when being passed through RT.
So if anyone has any other suggestions, I would love to hear them.

From: rt-users-bounces@lists.bestpractical.com
[mailto:rt-users-bounces@lists.bestpractical.com] On Behalf Of John
Green
Sent: Tuesday, April 06, 2004 9:11 AM
To: Kevin Moran
Cc: rt-users@lists.bestpractical.com
Subject: Re: [rt-users] RT attachment Corruption

Kevin Moran wrote:

Hi,

I have the problem that RT corrupts all attachments. I had a look
around the RT-list archive but haven’t found a proper solution. Has
anyone had this problem and solved. If you could help that would be
great.

http://wiki.bestpractical.com/cgi-bin/index.cgi?FAQ

Q: My attachments are corrupted?

A: In most cases it’s perl/UTF bug. Update minimum to perl5.8.3 or
greater and rt3.0.8 or greater. Also don’t forget to look in archives
for more info.

John
JANET-CERT

http://lists.bestpractical.com/mailman/listinfo/rt-users

RT Training is coming to town this summer!
Sign up for an RT Developer/Administrator class in DC, LA or Frankfurt
by emailing training@bestpractical.com

For more details, check out
http://www.bestpractical.com/services/training.html

The RT Wiki lives at http://wiki.bestpractical.com Read! Join!
Contribute!

http://lists.bestpractical.com/mailman/listinfo/rt-users

RT Training is coming to town this summer!
Sign up for an RT Developer/Administrator class in DC, LA or Frankfurt by
emailing training@bestpractical.com

For more details, check out
http://www.bestpractical.com/services/training.html

The RT Wiki lives at http://wiki.bestpractical.com Read! Join! Contribute!

Jaime Diaz wrote:

Upgrading to perl 5.8.3 means that I have to recompile mod_perl?
Yes. You must.

I did it on
one machine and apache won’t start again unless I comment all the section
involving RT
I think RT’s webmux.pl which load modules on start doesn’t find
dependencies. Try rerun rt-test-dependencies script.

I don’t have my apache ready to work with perl 5.8.3. I recently
switched to 3.0.11 for another reason, but am getting corrupted excel
files now. What can I do?

AnneOn Apr 6, 2004, at 10:10 AM, John Green wrote:

Kevin Moran wrote:

Hi, I have the problem that RT corrupts all attachments. I had a look
around the RT-list archive but haven’t found a proper solution. Has
anyone had this problem and solved. If you could help that would be
great.

http://wiki.bestpractical.com/cgi-bin/index.cgi?FAQ

Q: My attachments are corrupted?

A: In most cases it’s perl/UTF bug. Update minimum to perl5.8.3 or
greater and rt3.0.8 or greater. Also don’t forget to look in archives
for more info.

John
JANET-CERT


The rt-users Archives

Recompile apache to work against perl 5.8.3 and recompile mod_perl?
This might help (did with me):
http://download.bestpractical.com/pub/rt/devel/IO-stringy-Hacked-For-UTF8-2.
109-BestPractical-Hack-20040107.tar.gz

A.From: rt-users-bounces@lists.bestpractical.com
[mailto:rt-users-bounces@lists.bestpractical.com] On Behalf Of Anne Ramey
Sent: Thursday, June 10, 2004 9:19 PM
To: John Green
Cc: rt-users@lists.bestpractical.com; Kevin Moran
Subject: Re: [rt-users] RT attachment Corruption

I don’t have my apache ready to work with perl 5.8.3. I recently
switched to 3.0.11 for another reason, but am getting corrupted excel
files now. What can I do?

Anne

At the moment it’s only showing all kinds of strange characters, etc,
on spreadsheets made on windows machines. If I mail an attachment from
my mac, it comes through fine?

AnneOn Jun 10, 2004, at 3:19 PM, Anne Ramey wrote:

I don’t have my apache ready to work with perl 5.8.3. I recently
switched to 3.0.11 for another reason, but am getting corrupted excel
files now. What can I do?

Anne
On Apr 6, 2004, at 10:10 AM, John Green wrote:

Kevin Moran wrote:

Hi, I have the problem that RT corrupts all attachments. I had a
look
around the RT-list archive but haven’t found a proper solution. Has
anyone had this problem and solved. If you could help that would be
great.

Request Tracker Wiki

Q: My attachments are corrupted?

A: In most cases it’s perl/UTF bug. Update minimum to perl5.8.3 or
greater and rt3.0.8 or greater. Also don’t forget to look in archives
for more info.

John

I’ve tried. I still have one error left. it compiles, makes, and
installs fine, but when I try and start apache I get:
Cannot load /usr/local/apache/libexec/libauth_mysql.so into server:
/usr/local/apache/libexec/libauth_mysql.so: undefined symbol:
mysql_connect
/usr/local/bin/apachectl startssl: httpd could not be started

So I’m stuck without 5.8.3 for the moment.

AnneOn Jun 10, 2004, at 3:33 PM, Aleš Sušnik wrote:

Recompile apache to work against perl 5.8.3 and recompile mod_perl?
This might help (did with me):
http://download.bestpractical.com/pub/rt/devel/IO-stringy-Hacked-For-
UTF8-2.
109-BestPractical-Hack-20040107.tar.gz

A.

-----Original Message-----
From: rt-users-bounces@lists.bestpractical.com
[mailto:rt-users-bounces@lists.bestpractical.com] On Behalf Of Anne
Ramey
Sent: Thursday, June 10, 2004 9:19 PM
To: John Green
Cc: rt-users@lists.bestpractical.com; Kevin Moran
Subject: Re: [rt-users] RT attachment Corruption

I don’t have my apache ready to work with perl 5.8.3. I recently
switched to 3.0.11 for another reason, but am getting corrupted excel
files now. What can I do?

Anne
On Apr 6, 2004, at 10:10 AM, John Green wrote:

Kevin Moran wrote:

Hi, I have the problem that RT corrupts all attachments. I had a
look
around the RT-list archive but haven’t found a proper solution. Has
anyone had this problem and solved. If you could help that would be
great.

http://wiki.bestpractical.com/cgi-bin/index.cgi?FAQ

Q: My attachments are corrupted?

A: In most cases it’s perl/UTF bug. Update minimum to perl5.8.3 or
greater and rt3.0.8 or greater. Also don’t forget to look in archives
for more info.

John
JANET-CERT


The rt-users Archives

I’ve tried. I still have one error left. it compiles, makes, and
installs fine, but when I try and start apache I get:
Cannot load /usr/local/apache/libexec/libauth_mysql.so into server:
/usr/local/apache/libexec/libauth_mysql.so: undefined symbol:
mysql_connect
/usr/local/bin/apachectl startssl: httpd could not be started

so rebuild mod-auth-mysql? Or stop using it.

So I’m stuck without 5.8.3 for the moment.

so fix your problems. perl earlier than 5.8.3 is known to cause
attachment corruption.

seph